import { TradeOrderData as TradeDataOld, EscrowContext as ContextOld, TradeOrderClient as TradeClientOld } from "escrow-sdk-old";
import { TradeData as TradeDataCurrent, EscrowContext as ContextCurrent, TradeClient as TradeClientCurrent, TradeDataInfo as TradeDataInfoCurrent } from "../../index";
import { ITradeDataInfo } from "../types";
export declare const getOldTradeState: (tradeState: object) => object;
export declare const convertOldTrades: (trades: TradeDataOld[]) => ITradeDataInfo[];
export declare const convertCurrentTrades: (trades: TradeDataInfoCurrent[]) => ITradeDataInfo[];
export declare const revertToOldTrade: (trade: ITradeDataInfo) => TradeDataOld;
export declare const revertToCurrentTrade: (trade: ITradeDataInfo) => TradeDataCurrent;
export declare const getTradeOldClient: (ctx: ContextOld, configId: string, tradeData: ITradeDataInfo) => TradeClientOld;
export declare const getTradeCurrentClient: (ctx: ContextCurrent, marketId: string, configId: string, tradeData: ITradeDataInfo) => TradeClientCurrent;
