import Decimal from "decimal.js";
import { u64 } from "@solana/spl-token";
import { AccountMeta } from "@solana/web3.js";
import { MarketStateData } from "../types";
import { PublicKey } from "@solana/web3.js";
export * from "./kyc-cert";
export * from "./offer";
export * from "./encrypt-decrypt";
export declare const DENOMINATOR = 10000;
export declare const DEFAULT_EXPO = 9;
export declare const getRenecRate: (marketStateData: MarketStateData) => Decimal;
export declare const getTokenRateOverRenec: (tokenRateInRenec: u64) => Decimal;
export declare const getUsdRate: (usdRate: u64) => Decimal;
export declare const getTokenRateOverUsd: (tokenRateInUsd: u64) => Decimal;
export declare const getRemaningAccounts: (accounts: PublicKey[]) => AccountMeta[];
