/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { OfferDataInfo, OfferQuotes } from "../types";
export declare const REQUIRE_ACCOUNT_PER_TRADE = 2;
export declare const REQUIRE_BUMP_PER_TRADE = 1;
export declare function matchingOffers(offersData: OfferDataInfo[], tradeAmount: BN): OfferDataInfo[];
export declare function matchingOffersV2(offersData: OfferDataInfo[], tradeAmount: BN): OfferDataInfo[];
export declare function validateOfferQuotes(offerQuote: OfferQuotes): void;
